// python wrapper for vtkXdmfWriter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkXdmfWriter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkXdmfWriter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkXdmfWriter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXdmfWriterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXdmfWriterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkProcessObjectNew
extern "C" { PyObject *PyVTKClass_vtkProcessObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkProcessObjectNew
#endif

static const char **PyvtkXdmfWriter_Doc();


static PyObject *
PyvtkXdmfWriter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkXdmfWriter::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkXdmfWriter::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkXdmfWriter *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkXdmfWriter::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkXdmfWriter *tempr = vtkXdmfWriter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_SetAllLight(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAllLight");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAllLight(temp0);
      }
    else
      {
      op->vtkXdmfWriter::SetAllLight(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetAllLightMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAllLightMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetAllLightMinValue() :
      op->vtkXdmfWriter::GetAllLightMinValue());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetAllLightMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAllLightMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetAllLightMaxValue() :
      op->vtkXdmfWriter::GetAllLightMaxValue());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_AllLightOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AllLightOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->AllLightOn();
      }
    else
      {
      op->vtkXdmfWriter::AllLightOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_AllLightOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AllLightOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->AllLightOff();
      }
    else
      {
      op->vtkXdmfWriter::AllLightOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetAllLight(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAllLight");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetAllLight() :
      op->vtkXdmfWriter::GetAllLight());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_SetAllHeavy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAllHeavy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAllHeavy(temp0);
      }
    else
      {
      op->vtkXdmfWriter::SetAllHeavy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetAllHeavyMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAllHeavyMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetAllHeavyMinValue() :
      op->vtkXdmfWriter::GetAllHeavyMinValue());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetAllHeavyMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAllHeavyMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetAllHeavyMaxValue() :
      op->vtkXdmfWriter::GetAllHeavyMaxValue());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_AllHeavyOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AllHeavyOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->AllHeavyOn();
      }
    else
      {
      op->vtkXdmfWriter::AllHeavyOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_AllHeavyOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AllHeavyOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->AllHeavyOff();
      }
    else
      {
      op->vtkXdmfWriter::AllHeavyOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetAllHeavy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAllHeavy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetAllHeavy() :
      op->vtkXdmfWriter::GetAllHeavy());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_SetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFileName(temp0);
      }
    else
      {
      op->vtkXdmfWriter::SetFileName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetFileName() :
      op->vtkXdmfWriter::GetFileName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_SetGridName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGridName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetGridName(temp0);
      }
    else
      {
      op->vtkXdmfWriter::SetGridName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetGridName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGridName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetGridName() :
      op->vtkXdmfWriter::GetGridName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_SetDomainName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDomainName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDomainName(temp0);
      }
    else
      {
      op->vtkXdmfWriter::SetDomainName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetDomainName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDomainName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetDomainName() :
      op->vtkXdmfWriter::GetDomainName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_SetCollectionName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCollectionName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCollectionName(temp0);
      }
    else
      {
      op->vtkXdmfWriter::SetCollectionName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetCollectionName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCollectionName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetCollectionName() :
      op->vtkXdmfWriter::GetCollectionName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_SetGridOnly(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGridOnly");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetGridOnly(temp0);
      }
    else
      {
      op->vtkXdmfWriter::SetGridOnly(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetGridOnlyMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGridOnlyMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetGridOnlyMinValue() :
      op->vtkXdmfWriter::GetGridOnlyMinValue());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetGridOnlyMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGridOnlyMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetGridOnlyMaxValue() :
      op->vtkXdmfWriter::GetGridOnlyMaxValue());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GridOnlyOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GridOnlyOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->GridOnlyOn();
      }
    else
      {
      op->vtkXdmfWriter::GridOnlyOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GridOnlyOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GridOnlyOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->GridOnlyOff();
      }
    else
      {
      op->vtkXdmfWriter::GridOnlyOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetGridOnly(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGridOnly");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetGridOnly() :
      op->vtkXdmfWriter::GetGridOnly());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_SetHeavyDataSetName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHeavyDataSetName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetHeavyDataSetName(temp0);
      }
    else
      {
      op->vtkXdmfWriter::SetHeavyDataSetName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetHeavyDataSetName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetHeavyDataSetName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetHeavyDataSetName() :
      op->vtkXdmfWriter::GetHeavyDataSetName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_SetInput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  vtkDataSet *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkDataSet"))
    {
    if (ap.IsBound())
      {
      op->SetInput(temp0);
      }
    else
      {
      op->vtkXdmfWriter::SetInput(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_SetInputsArePieces(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInputsArePieces");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetInputsArePieces(temp0);
      }
    else
      {
      op->vtkXdmfWriter::SetInputsArePieces(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetInputsArePiecesMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInputsArePiecesMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetInputsArePiecesMinValue() :
      op->vtkXdmfWriter::GetInputsArePiecesMinValue());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetInputsArePiecesMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInputsArePiecesMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetInputsArePiecesMaxValue() :
      op->vtkXdmfWriter::GetInputsArePiecesMaxValue());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_InputsArePiecesOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InputsArePiecesOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->InputsArePiecesOn();
      }
    else
      {
      op->vtkXdmfWriter::InputsArePiecesOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_InputsArePiecesOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InputsArePiecesOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->InputsArePiecesOff();
      }
    else
      {
      op->vtkXdmfWriter::InputsArePiecesOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetInputsArePieces(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInputsArePieces");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetInputsArePieces() :
      op->vtkXdmfWriter::GetInputsArePieces());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_SetFullGridSize_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFullGridSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  int temp0;
  int temp1;
  int temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetFullGridSize(temp0, temp1, temp2);
      }
    else
      {
      op->vtkXdmfWriter::SetFullGridSize(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkXdmfWriter_SetFullGridSize_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFullGridSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  int temp0[3];
  const int size0 = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetFullGridSize(temp0);
      }
    else
      {
      op->vtkXdmfWriter::SetFullGridSize(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkXdmfWriter_SetFullGridSize(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkXdmfWriter_SetFullGridSize_s1(self, args);
    case 1:
      return PyvtkXdmfWriter_SetFullGridSize_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetFullGridSize");
  return NULL;
}



static PyObject *
PyvtkXdmfWriter_GetFullGridSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFullGridSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  int sizer = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int *tempr = (ap.IsBound() ?
      op->GetFullGridSize() :
      op->vtkXdmfWriter::GetFullGridSize());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_SetCollectionType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCollectionType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCollectionType(temp0);
      }
    else
      {
      op->vtkXdmfWriter::SetCollectionType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetCollectionType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCollectionType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetCollectionType() :
      op->vtkXdmfWriter::GetCollectionType());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_SetCollectionTypeToTemporal(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCollectionTypeToTemporal");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetCollectionTypeToTemporal();
      }
    else
      {
      op->vtkXdmfWriter::SetCollectionTypeToTemporal();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_SetCollectionTypeToSpatial(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCollectionTypeToSpatial");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetCollectionTypeToSpatial();
      }
    else
      {
      op->vtkXdmfWriter::SetCollectionTypeToSpatial();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_CloseCollection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CloseCollection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->CloseCollection();
      }
    else
      {
      op->vtkXdmfWriter::CloseCollection();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_SetTimeValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTimeValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetTimeValue(temp0);
      }
    else
      {
      op->vtkXdmfWriter::SetTimeValue(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetTimeValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTimeValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double tempr = (ap.IsBound() ?
      op->GetTimeValue() :
      op->vtkXdmfWriter::GetTimeValue());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_SetAppendGridsToDomain(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAppendGridsToDomain");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAppendGridsToDomain(temp0);
      }
    else
      {
      op->vtkXdmfWriter::SetAppendGridsToDomain(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetAppendGridsToDomainMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAppendGridsToDomainMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetAppendGridsToDomainMinValue() :
      op->vtkXdmfWriter::GetAppendGridsToDomainMinValue());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetAppendGridsToDomainMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAppendGridsToDomainMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetAppendGridsToDomainMaxValue() :
      op->vtkXdmfWriter::GetAppendGridsToDomainMaxValue());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_AppendGridsToDomainOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AppendGridsToDomainOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->AppendGridsToDomainOn();
      }
    else
      {
      op->vtkXdmfWriter::AppendGridsToDomainOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_AppendGridsToDomainOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AppendGridsToDomainOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->AppendGridsToDomainOff();
      }
    else
      {
      op->vtkXdmfWriter::AppendGridsToDomainOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetAppendGridsToDomain(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAppendGridsToDomain");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetAppendGridsToDomain() :
      op->vtkXdmfWriter::GetAppendGridsToDomain());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_Write(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Write");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Write();
      }
    else
      {
      op->vtkXdmfWriter::Write();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_AddInput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddInput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  vtkDataObject *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkDataObject"))
    {
    if (ap.IsBound())
      {
      op->AddInput(temp0);
      }
    else
      {
      op->vtkXdmfWriter::AddInput(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetInput_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    vtkDataObject *tempr = (ap.IsBound() ?
      op->GetInput(temp0) :
      op->vtkXdmfWriter::GetInput(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkXdmfWriter_GetInput_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkDataObject *tempr = (ap.IsBound() ?
      op->GetInput() :
      op->vtkXdmfWriter::GetInput());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkXdmfWriter_GetInput(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkXdmfWriter_GetInput_s1(self, args);
    case 0:
      return PyvtkXdmfWriter_GetInput_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetInput");
  return NULL;
}



static PyObject *
PyvtkXdmfWriter_RemoveInput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveInput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  vtkDataObject *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkDataObject"))
    {
    if (ap.IsBound())
      {
      op->RemoveInput(temp0);
      }
    else
      {
      op->vtkXdmfWriter::RemoveInput(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GetInputList(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInputList");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkDataSetCollection *tempr = (ap.IsBound() ?
      op->GetInputList() :
      op->vtkXdmfWriter::GetInputList());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_IncrementIndent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IncrementIndent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->IncrementIndent();
      }
    else
      {
      op->vtkXdmfWriter::IncrementIndent();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_DecrementIndent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "DecrementIndent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->DecrementIndent();
      }
    else
      {
      op->vtkXdmfWriter::DecrementIndent();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkXdmfWriter_GenerateHDF5ArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GenerateHDF5ArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkXdmfWriter *op = static_cast<vtkXdmfWriter *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    const char *tempr = (ap.IsBound() ?
      op->GenerateHDF5ArrayName(temp0, temp1) :
      op->vtkXdmfWriter::GenerateHDF5ArrayName(temp0, temp1));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkXdmfWriter_Methods[] = {
  {(char*)"GetClassName", PyvtkXdmfWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkXdmfWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkXdmfWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXdmfWriter\nC++: vtkXdmfWriter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkXdmfWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXdmfWriter\nC++: vtkXdmfWriter *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetAllLight", PyvtkXdmfWriter_SetAllLight, 1,
   (char*)"V.SetAllLight(int)\nC++: void SetAllLight(int)\n\nSet or get the AllLight flag. If set, all data will be written as\nlight data (inlined).\n"},
  {(char*)"GetAllLightMinValue", PyvtkXdmfWriter_GetAllLightMinValue, 1,
   (char*)"V.GetAllLightMinValue() -> int\nC++: int GetAllLightMinValue()\n\nSet or get the AllLight flag. If set, all data will be written as\nlight data (inlined).\n"},
  {(char*)"GetAllLightMaxValue", PyvtkXdmfWriter_GetAllLightMaxValue, 1,
   (char*)"V.GetAllLightMaxValue() -> int\nC++: int GetAllLightMaxValue()\n\nSet or get the AllLight flag. If set, all data will be written as\nlight data (inlined).\n"},
  {(char*)"AllLightOn", PyvtkXdmfWriter_AllLightOn, 1,
   (char*)"V.AllLightOn()\nC++: void AllLightOn()\n\nSet or get the AllLight flag. If set, all data will be written as\nlight data (inlined).\n"},
  {(char*)"AllLightOff", PyvtkXdmfWriter_AllLightOff, 1,
   (char*)"V.AllLightOff()\nC++: void AllLightOff()\n\nSet or get the AllLight flag. If set, all data will be written as\nlight data (inlined).\n"},
  {(char*)"GetAllLight", PyvtkXdmfWriter_GetAllLight, 1,
   (char*)"V.GetAllLight() -> int\nC++: int GetAllLight()\n\nSet or get the AllLight flag. If set, all data will be written as\nlight data (inlined).\n"},
  {(char*)"SetAllHeavy", PyvtkXdmfWriter_SetAllHeavy, 1,
   (char*)"V.SetAllHeavy(int)\nC++: void SetAllHeavy(int)\n\nMake all data heavy, including rectilinear grid arrays.\n"},
  {(char*)"GetAllHeavyMinValue", PyvtkXdmfWriter_GetAllHeavyMinValue, 1,
   (char*)"V.GetAllHeavyMinValue() -> int\nC++: int GetAllHeavyMinValue()\n\nMake all data heavy, including rectilinear grid arrays.\n"},
  {(char*)"GetAllHeavyMaxValue", PyvtkXdmfWriter_GetAllHeavyMaxValue, 1,
   (char*)"V.GetAllHeavyMaxValue() -> int\nC++: int GetAllHeavyMaxValue()\n\nMake all data heavy, including rectilinear grid arrays.\n"},
  {(char*)"AllHeavyOn", PyvtkXdmfWriter_AllHeavyOn, 1,
   (char*)"V.AllHeavyOn()\nC++: void AllHeavyOn()\n\nMake all data heavy, including rectilinear grid arrays.\n"},
  {(char*)"AllHeavyOff", PyvtkXdmfWriter_AllHeavyOff, 1,
   (char*)"V.AllHeavyOff()\nC++: void AllHeavyOff()\n\nMake all data heavy, including rectilinear grid arrays.\n"},
  {(char*)"GetAllHeavy", PyvtkXdmfWriter_GetAllHeavy, 1,
   (char*)"V.GetAllHeavy() -> int\nC++: int GetAllHeavy()\n\nMake all data heavy, including rectilinear grid arrays.\n"},
  {(char*)"SetFileName", PyvtkXdmfWriter_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: virtual void SetFileName(const char *fname)\n\nSet or get the file name of the xdmf file.\n"},
  {(char*)"GetFileName", PyvtkXdmfWriter_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: virtual const char *GetFileName()\n\nSet or get the file name of the xdmf file.\n"},
  {(char*)"SetGridName", PyvtkXdmfWriter_SetGridName, 1,
   (char*)"V.SetGridName(string)\nC++: void SetGridName(char *)\n\nSet or get the grid name of the dataset.\n"},
  {(char*)"GetGridName", PyvtkXdmfWriter_GetGridName, 1,
   (char*)"V.GetGridName() -> string\nC++: char *GetGridName()\n\nSet or get the grid name of the dataset.\n"},
  {(char*)"SetDomainName", PyvtkXdmfWriter_SetDomainName, 1,
   (char*)"V.SetDomainName(string)\nC++: void SetDomainName(char *)\n\nSet or ger the domain name.\n"},
  {(char*)"GetDomainName", PyvtkXdmfWriter_GetDomainName, 1,
   (char*)"V.GetDomainName() -> string\nC++: char *GetDomainName()\n\nSet or ger the domain name.\n"},
  {(char*)"SetCollectionName", PyvtkXdmfWriter_SetCollectionName, 1,
   (char*)"V.SetCollectionName(string)\nC++: void SetCollectionName(char *)\n\nCollection name defines collection grids belong to\n"},
  {(char*)"GetCollectionName", PyvtkXdmfWriter_GetCollectionName, 1,
   (char*)"V.GetCollectionName() -> string\nC++: char *GetCollectionName()\n\nCollection name defines collection grids belong to\n"},
  {(char*)"SetGridOnly", PyvtkXdmfWriter_SetGridOnly, 1,
   (char*)"V.SetGridOnly(int)\nC++: void SetGridOnly(int)\n\nIf GridOnly is set, only the grid will be written and all the\nheader information will be ignored\n"},
  {(char*)"GetGridOnlyMinValue", PyvtkXdmfWriter_GetGridOnlyMinValue, 1,
   (char*)"V.GetGridOnlyMinValue() -> int\nC++: int GetGridOnlyMinValue()\n\nIf GridOnly is set, only the grid will be written and all the\nheader information will be ignored\n"},
  {(char*)"GetGridOnlyMaxValue", PyvtkXdmfWriter_GetGridOnlyMaxValue, 1,
   (char*)"V.GetGridOnlyMaxValue() -> int\nC++: int GetGridOnlyMaxValue()\n\nIf GridOnly is set, only the grid will be written and all the\nheader information will be ignored\n"},
  {(char*)"GridOnlyOn", PyvtkXdmfWriter_GridOnlyOn, 1,
   (char*)"V.GridOnlyOn()\nC++: void GridOnlyOn()\n\nIf GridOnly is set, only the grid will be written and all the\nheader information will be ignored\n"},
  {(char*)"GridOnlyOff", PyvtkXdmfWriter_GridOnlyOff, 1,
   (char*)"V.GridOnlyOff()\nC++: void GridOnlyOff()\n\nIf GridOnly is set, only the grid will be written and all the\nheader information will be ignored\n"},
  {(char*)"GetGridOnly", PyvtkXdmfWriter_GetGridOnly, 1,
   (char*)"V.GetGridOnly() -> int\nC++: int GetGridOnly()\n\nIf GridOnly is set, only the grid will be written and all the\nheader information will be ignored\n"},
  {(char*)"SetHeavyDataSetName", PyvtkXdmfWriter_SetHeavyDataSetName, 1,
   (char*)"V.SetHeavyDataSetName(string)\nC++: virtual void SetHeavyDataSetName(const char *name)\n\nSet or get the name of the heavy data file name.\n"},
  {(char*)"GetHeavyDataSetName", PyvtkXdmfWriter_GetHeavyDataSetName, 1,
   (char*)"V.GetHeavyDataSetName() -> string\nC++: virtual const char *GetHeavyDataSetName()\n\nSet or get the name of the heavy data file name.\n"},
  {(char*)"SetInput", PyvtkXdmfWriter_SetInput, 1,
   (char*)"V.SetInput(vtkDataSet)\nC++: virtual void SetInput(vtkDataSet *ds)\n\nSet the input data set.\n"},
  {(char*)"SetInputsArePieces", PyvtkXdmfWriter_SetInputsArePieces, 1,
   (char*)"V.SetInputsArePieces(int)\nC++: void SetInputsArePieces(int)\n\nIf InputsArePieces is set, the onpuits are considered to be\nparts/pieces of a larger grid and are joined together inside the\nhdf5 file\n"},
  {(char*)"GetInputsArePiecesMinValue", PyvtkXdmfWriter_GetInputsArePiecesMinValue, 1,
   (char*)"V.GetInputsArePiecesMinValue() -> int\nC++: int GetInputsArePiecesMinValue()\n\nIf InputsArePieces is set, the onpuits are considered to be\nparts/pieces of a larger grid and are joined together inside the\nhdf5 file\n"},
  {(char*)"GetInputsArePiecesMaxValue", PyvtkXdmfWriter_GetInputsArePiecesMaxValue, 1,
   (char*)"V.GetInputsArePiecesMaxValue() -> int\nC++: int GetInputsArePiecesMaxValue()\n\nIf InputsArePieces is set, the onpuits are considered to be\nparts/pieces of a larger grid and are joined together inside the\nhdf5 file\n"},
  {(char*)"InputsArePiecesOn", PyvtkXdmfWriter_InputsArePiecesOn, 1,
   (char*)"V.InputsArePiecesOn()\nC++: void InputsArePiecesOn()\n\nIf InputsArePieces is set, the onpuits are considered to be\nparts/pieces of a larger grid and are joined together inside the\nhdf5 file\n"},
  {(char*)"InputsArePiecesOff", PyvtkXdmfWriter_InputsArePiecesOff, 1,
   (char*)"V.InputsArePiecesOff()\nC++: void InputsArePiecesOff()\n\nIf InputsArePieces is set, the onpuits are considered to be\nparts/pieces of a larger grid and are joined together inside the\nhdf5 file\n"},
  {(char*)"GetInputsArePieces", PyvtkXdmfWriter_GetInputsArePieces, 1,
   (char*)"V.GetInputsArePieces() -> int\nC++: int GetInputsArePieces()\n\nIf InputsArePieces is set, the onpuits are considered to be\nparts/pieces of a larger grid and are joined together inside the\nhdf5 file\n"},
  {(char*)"SetFullGridSize", PyvtkXdmfWriter_SetFullGridSize, 1,
   (char*)"V.SetFullGridSize(int, int, int)\nC++: void SetFullGridSize(int, int, int)\nV.SetFullGridSize((int, int, int))\nC++: void SetFullGridSize(int a[3])\n\n"},
  {(char*)"GetFullGridSize", PyvtkXdmfWriter_GetFullGridSize, 1,
   (char*)"V.GetFullGridSize() -> (int, int, int)\nC++: int *GetFullGridSize()\n\nWhen InputsArePieces is set, this is the true size of the data\n"},
  {(char*)"SetCollectionType", PyvtkXdmfWriter_SetCollectionType, 1,
   (char*)"V.SetCollectionType(int)\nC++: void SetCollectionType(int a)\n\nIf appending many time steps together into a single file you\nshould set CollectionType to \"Temporal\", when appending grids\ninto a multi-block type structure use collection type is\n\"Spatial\". By default, Collection type is Unset\n"},
  {(char*)"GetCollectionType", PyvtkXdmfWriter_GetCollectionType, 1,
   (char*)"V.GetCollectionType() -> int\nC++: int GetCollectionType()\n\nIf appending many time steps together into a single file you\nshould set CollectionType to \"Temporal\", when appending grids\ninto a multi-block type structure use collection type is\n\"Spatial\". By default, Collection type is Unset\n"},
  {(char*)"SetCollectionTypeToTemporal", PyvtkXdmfWriter_SetCollectionTypeToTemporal, 1,
   (char*)"V.SetCollectionTypeToTemporal()\nC++: void SetCollectionTypeToTemporal()\n\nIf appending many time steps together into a single file you\nshould set CollectionType to \"Temporal\", when appending grids\ninto a multi-block type structure use collection type is\n\"Spatial\". By default, Collection type is Unset\n"},
  {(char*)"SetCollectionTypeToSpatial", PyvtkXdmfWriter_SetCollectionTypeToSpatial, 1,
   (char*)"V.SetCollectionTypeToSpatial()\nC++: void SetCollectionTypeToSpatial()\n\nIf appending many time steps together into a single file you\nshould set CollectionType to \"Temporal\", when appending grids\ninto a multi-block type structure use collection type is\n\"Spatial\". By default, Collection type is Unset\n"},
  {(char*)"CloseCollection", PyvtkXdmfWriter_CloseCollection, 1,
   (char*)"V.CloseCollection()\nC++: void CloseCollection()\n\nIf appending many time steps together into a single file you\nshould set CollectionType to \"Temporal\", when appending grids\ninto a multi-block type structure use collection type is\n\"Spatial\". By default, Collection type is Unset\n"},
  {(char*)"SetTimeValue", PyvtkXdmfWriter_SetTimeValue, 1,
   (char*)"V.SetTimeValue(float)\nC++: void SetTimeValue(double a)\n\nSet the time value of this data\n"},
  {(char*)"GetTimeValue", PyvtkXdmfWriter_GetTimeValue, 1,
   (char*)"V.GetTimeValue() -> float\nC++: double GetTimeValue()\n\nSet the time value of this data\n"},
  {(char*)"SetAppendGridsToDomain", PyvtkXdmfWriter_SetAppendGridsToDomain, 1,
   (char*)"V.SetAppendGridsToDomain(int)\nC++: void SetAppendGridsToDomain(int)\n\nIf AppendGridsToDomain is set, the existing xdmf xml file is\nopeded and new grid are added to the existing domain inside it.\nNo checking is performed on the structuire of the file.\n"},
  {(char*)"GetAppendGridsToDomainMinValue", PyvtkXdmfWriter_GetAppendGridsToDomainMinValue, 1,
   (char*)"V.GetAppendGridsToDomainMinValue() -> int\nC++: int GetAppendGridsToDomainMinValue()\n\nIf AppendGridsToDomain is set, the existing xdmf xml file is\nopeded and new grid are added to the existing domain inside it.\nNo checking is performed on the structuire of the file.\n"},
  {(char*)"GetAppendGridsToDomainMaxValue", PyvtkXdmfWriter_GetAppendGridsToDomainMaxValue, 1,
   (char*)"V.GetAppendGridsToDomainMaxValue() -> int\nC++: int GetAppendGridsToDomainMaxValue()\n\nIf AppendGridsToDomain is set, the existing xdmf xml file is\nopeded and new grid are added to the existing domain inside it.\nNo checking is performed on the structuire of the file.\n"},
  {(char*)"AppendGridsToDomainOn", PyvtkXdmfWriter_AppendGridsToDomainOn, 1,
   (char*)"V.AppendGridsToDomainOn()\nC++: void AppendGridsToDomainOn()\n\nIf AppendGridsToDomain is set, the existing xdmf xml file is\nopeded and new grid are added to the existing domain inside it.\nNo checking is performed on the structuire of the file.\n"},
  {(char*)"AppendGridsToDomainOff", PyvtkXdmfWriter_AppendGridsToDomainOff, 1,
   (char*)"V.AppendGridsToDomainOff()\nC++: void AppendGridsToDomainOff()\n\nIf AppendGridsToDomain is set, the existing xdmf xml file is\nopeded and new grid are added to the existing domain inside it.\nNo checking is performed on the structuire of the file.\n"},
  {(char*)"GetAppendGridsToDomain", PyvtkXdmfWriter_GetAppendGridsToDomain, 1,
   (char*)"V.GetAppendGridsToDomain() -> int\nC++: int GetAppendGridsToDomain()\n\nIf AppendGridsToDomain is set, the existing xdmf xml file is\nopeded and new grid are added to the existing domain inside it.\nNo checking is performed on the structuire of the file.\n"},
  {(char*)"Write", PyvtkXdmfWriter_Write, 1,
   (char*)"V.Write()\nC++: void Write()\n\nWrite the XDMF file.\n"},
  {(char*)"AddInput", PyvtkXdmfWriter_AddInput, 1,
   (char*)"V.AddInput(vtkDataObject)\nC++: void AddInput(vtkDataObject *in)\n\nAdd a dataset to the list of data to append.\n"},
  {(char*)"GetInput", PyvtkXdmfWriter_GetInput, 1,
   (char*)"V.GetInput(int) -> vtkDataObject\nC++: vtkDataObject *GetInput(int idx)\nV.GetInput() -> vtkDataObject\nC++: vtkDataObject *GetInput()\n\nGet any input of this filter.\n"},
  {(char*)"RemoveInput", PyvtkXdmfWriter_RemoveInput, 1,
   (char*)"V.RemoveInput(vtkDataObject)\nC++: void RemoveInput(vtkDataObject *in)\n\nRemove a dataset from the list of data to append.\n"},
  {(char*)"GetInputList", PyvtkXdmfWriter_GetInputList, 1,
   (char*)"V.GetInputList() -> vtkDataSetCollection\nC++: vtkDataSetCollection *GetInputList()\n\nReturns a copy of the input array.  Modifications to this list\nwill not be reflected in the actual inputs.\n"},
  {(char*)"IncrementIndent", PyvtkXdmfWriter_IncrementIndent, 1,
   (char*)"V.IncrementIndent()\nC++: void IncrementIndent()\n\nIndent xml\n"},
  {(char*)"DecrementIndent", PyvtkXdmfWriter_DecrementIndent, 1,
   (char*)"V.DecrementIndent()\nC++: void DecrementIndent()\n\nIndent xml\n"},
  {(char*)"GenerateHDF5ArrayName", PyvtkXdmfWriter_GenerateHDF5ArrayName, 1,
   (char*)"V.GenerateHDF5ArrayName(string, string) -> string\nC++: const char *GenerateHDF5ArrayName(const char *gridName,\n    const char *arrayName)\n\nGenerate hdf5 name for array\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkXdmfWriter_StaticNew()
{
  return vtkXdmfWriter::New();
}

PyObject *PyVTKClass_vtkXdmfWriterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkXdmfWriter_StaticNew,
    PyvtkXdmfWriter_Methods,
    "vtkXdmfWriter", modulename,
    NULL, NULL,
    PyvtkXdmfWriter_Doc(),
    PyVTKClass_vtkProcessObjectNew(modulename));
  return cls;
}

const char **PyvtkXdmfWriter_Doc()
{
  static const char *docstring[] = {
    "vtkXdmfWriter - write eXtensible Data Model and Format files\n\n",
    "Superclass: vtkProcessObject\n\n",
    "vtkXdmfWriter is a process object that writes XDMF data.  The input\nto this writer is a single vtkDataSet object.\n\nCaveats:\n\nused the XDMF API\n\nSee Also:\n\nvtkDataReader\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkXdmfWriter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkXdmfWriterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkXdmfWriter", o) != 0)
    {
    Py_DECREF(o);
    }

}

